.listpage{
    position: relative;
    width: 100%;
    width: 100%;
    /* padding-left: 1rem; */
    /* padding-right: 1rem; */
    height: 100%;
    max-width: 100%;
    left: 0rem;
    max-height: 100%;
    overflow: hidden;
    overflow-y: scroll;
    /* background-color: rgba(0, 0, 255, 0.125); */
}
.listpage-header{
    position: relative;
    width: calc(100% - 2rem);
    left: 1rem;
    height: 3rem;
}
.listpage-header-button{
    position: relative;
    font-size: 2.5rem;
    height: 100%;
    width: min-content;
}
.listpage-header-button-right{
    position: relative;
    float: right;
    font-size: 2.5rem;
    height: 100%;
    width: min-content;
}
.listpage-header-input{
    position: relative;
    height: 2.5rem;
    width: min-content;
    line-height: 2.5rem;
    border-radius: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
    border: none;
}
.listpage-header-input::placeholder{
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}
.listpage-header-input::-webkit-input-placeholder {
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}
.listpage-header-input::-moz-placeholder  {
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}

.listpage-header-input:-ms-input-placeholder {
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}

.listpage-header-input-right{
    position: relative;
    float: left;
    height: 2.5rem;
    width: min-content;
    line-height: 2.5rem;
    border-radius: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
    border: none;
}
.listpage-header-input-right::placeholder{
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}
.listpage-header-input-right::-webkit-input-placeholder {
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}
.listpage-header-input-right::-moz-placeholder  {
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}

.listpage-header-input-right:-ms-input-placeholder {
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    padding: 0;
}
.listpage-list{
    position: relative;
    width: 100%;
    border-radius: 1rem;
    /* background-color: rgba(0, 0, 255, 0.125); */
}
.listpage-list-header{
    position: fixed;
    width: 100%;
    /* background-color: rgba(0, 0, 255, 0.125); */
    display: flex;
    justify-content: space-between;
}
.listpage-list-items-container{
    position: fixed;
    width: 100%;
    height: calc(100% - 5rem);
    /* background-color: rgba(0, 0, 255, 0.125); */
    top: 5rem;
    overflow: hidden;
    overflow-y: scroll;
}
.listpage-list-item{
    position: relative;
    width: 100%;
    /* background-color: rgba(0, 0, 255, 0.125); */
    display: flex;
    justify-content: space-between;
}
.listpage-vertical-divider{
    position: relative;
    width: calc(100% - 2rem);
    margin: 0;
    margin-top: 1px;
    margin-bottom: 1px;
    height: 1px;
    left: 1rem;
    background-color: rgba(255, 255, 255, 0.05);
}
.listpage-column{
    flex: 1;
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 4rem;
    line-height: 4rem;
    padding-left: 1rem;
    overflow: hidden;
    white-space: nowrap;
    /* text-overflow: ellipsis; */
    /* background-color: rgba(255, 166, 0, 0.173)!important; */
    border-style: solid;
    border-color: transparent;
}
.listpage-column-hoverable{
    flex: 1;
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 4rem;
    line-height: 4rem;
    padding-left: 1rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    /* background-color: rgba(255, 166, 0, 0.173)!important; */
    border-style: solid;
    border-color: transparent;
}
.listpage-column-hoverable:hover{
    flex: 1;
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 4rem;
    line-height: 4rem;
    padding-left: 1rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    background-color: rgba(255, 255, 255, 0.125)!important;
    border-style: solid;
    border-color: transparent;
}
.listpage-column-fit{
    flex: 1;
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: fit-content;
    /* line-height: 2rem; */
    /* padding-left: 1rem;
    padding-right: 1rem; */
    padding: 1rem;
    /* overflow:; */
    overflow-wrap: break-word;
    /* text-overflow:; */ 
}
.listpage-column-rowname{
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 4rem;
    line-height: 4rem;
    padding-left: 1rem;
    overflow: hidden;
}
.listpage-column-button{
    height: 4rem;
    width: 4rem;
    font-size: 3rem;
    line-height: 4rem;
    overflow: hidden;
    text-align: end;
}
.listpage-header-column-button{
    height: 2rem;
    width: 4rem;
    font-size: 1rem;
    line-height: 2rem;
    overflow: hidden;
}
.listpage-header-column{
    flex: 1;
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 2rem;
    line-height: 2rem;
    padding-left: 1rem;
    overflow: hidden;
}
.listpage-space-horizontal-1{
    position: relative;
    width: 100%;
    height: 1rem;
}
.listpage-button-full{
    position: relative;
    width: 100%;
    height: 3rem;
    border-radius: 1rem;
    text-align: center;
    line-height: 3rem;
    
}
.listpage-popup-extra-space{
    position: relative;
    width: 100%;
    height: 3rem;
    display: block;
}
.listpage-flex-container{
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    overflow: hidden;
    column-gap: 1rem;
}
.listpage-flex-50{
    position: relative;
    width: 50%;
    max-width: 50%;
    height: 100%;
    max-height: 100%;
    overflow: hidden;
    overflow-y: scroll;
}
.listpage-iframe{
    position: relative;
    border-radius: 1rem;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    border: none;
}

/* @media only screen and (min-width: 700px) { */
@media (width >= 700px) {
    .listpage{
        position: relative;
        width: calc(100% - 2rem);
        width: 100%;
        /* padding-left: 1rem; */
        /* padding-right: 1rem; */
        height: 100%;
        max-width: calc(100% - 2rem);
        left: 1rem;
        max-height: 100%;
        overflow: hidden;
        overflow-y: scroll;
        /* background-color: rgba(0, 0, 255, 0.125); */
    }
    .listpage-header-input-right{
        position: relative;
        float: right;
        height: 2.5rem;
        width: min-content;
        line-height: 2.5rem;
        border-radius: 1rem;
        padding-left: 1rem;
        padding-right: 1rem;
        border: none;
    }
    .listpage-header{
        position: relative;
        width: 100%;
        height: 3rem;
        left: unset;
    }
    .listpage-popup-extra-space{
        position: relative;
        width: 100%;
        height: 3rem;
        display: none;
    }
    .listpage-column{
        flex: 1;
        /* background-color: rgba(0, 0, 255, 0.125); */
        height: 3rem;
        line-height: 3rem;
        padding-left: 1rem;
        overflow: hidden;
        white-space: nowrap;
        /* text-overflow: ellipsis; */
    }
    .listpage-list{
        position: relative;
        width: 100%;
        border-radius: 1rem;
        /* background-color: rgba(0, 0, 255, 0.125); */
    }
    .listpage-list-items-container{
        position: fixed;
        width: calc(100% - 2rem);
        height: calc(100% - 5rem);
        /* background-color: rgba(0, 0, 255, 0.125); */
        top: 5rem;
        overflow: hidden;
        overflow-y: scroll;
    }
    .listpage-list-header{
        position: fixed;
        width: calc(100% - 2rem);
        /* background-color: rgba(0, 0, 255, 0.125); */
        display: flex;
        justify-content: space-between;
    }
    .listpage-column-rowname{
        /* background-color: rgba(0, 0, 255, 0.125); */
        height: 3rem;
        line-height: 3rem;
        padding-left: 1rem;
        overflow: hidden;
    }
    .listpage-column-button{
        height: 3rem;
        width: 3rem;
        font-size: 2.5rem;
        line-height: 3rem;
        overflow: hidden;
    }
    .listpage-header-column-button{
        height: 2rem;
        width: 3rem;
        font-size: 1rem;
        line-height: 2rem;
        overflow: hidden;
    }
}